div#controls {
  position: absolute;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;

  bottom: 0px;
  left: 0px;
  width: 100vw;
  height: 48px;
  z-index: 25;

  color: white;
  background-color: $color-primary;
  box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);

  transition: transform 0.5s ease, visibility 0.5s, box-shadow 1s ease;

  button,
  div.spacer {
    font-size: 24px;

    height: 48px;
    width: 48px;
  }

  div.controls-bottom {
    display: flex;
    flex-direction: row;
    justify-content: center;

    margin-left: auto;
  }

  hr {
    width: 1px;
    height: 40px;
    margin: auto 2px;

    background-color: $color-primary-dark;
  }

  &.is-hidden {
    transform: translate(0px, 48px + 16px);
    visibility: hidden;
    box-shadow: none;
  }
}


div#toggle-controls-container {
  position: absolute;
  bottom: 0px;
  right: 0px;
  z-index: 50;

  color: white;
  background-color: $color-primary;
  transition: box-shadow 0.5s ease;

  button {
    font-size: 32px;
    height: 48px;
    width: 48px;

    span {
      transform: rotate(0deg);
      transition: transform 0.5s ease;
    }
  }

  &.is-toggled {
    box-shadow: 0px 0px 16px rgba(0, 0, 0, 0.25);

    button span {
      transform: rotate(180deg);
    }
  }
}
